Package com.collibra.dgc.core.api.dto.meta.path

# Class NumericFilterRequest

Object
NumericFilterRequest

All Implemented Interfaces:
  `Serializable`

public class NumericFilterRequest extends Object implements Serializable
Specifies the details for a numeric filter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NumericFilterRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericFilterRequest()`
  `NumericFilterRequest(List<Double> in, Double gt, Double gte, Double lt, Double lte)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumericFilterRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Double`
  `getGt()`
  `Double`
  `getGte()`
  `List<Double>`
  `getIn()`
  `Double`
  `getLt()`
  `Double`
  `getLte()`
  `int`
  `hashCode()`
  `void`
  `setGt(Double gt)`
  `void`
  `setGte(Double gte)`
  `void`
  `setIn(List<Double> in)`
  `void`
  `setLt(Double lt)`
  `void`
  `setLte(Double lte)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumericFilterRequest

    public NumericFilterRequest()

  - ### NumericFilterRequest

    public NumericFilterRequest(List<Double> in, Double gt, Double gte, Double lt, Double lte)

- ## Method Details

  - ### builder

    public static NumericFilterRequest.Builder builder()

  - ### getIn

    public List<Double> getIn()

  - ### getGt

    public Double getGt()

  - ### getGte

    public Double getGte()

  - ### getLt

    public Double getLt()

  - ### getLte

    public Double getLte()

  - ### setIn

    public void setIn(List<Double> in)

  - ### setGt

    public void setGt(Double gt)

  - ### setGte

    public void setGte(Double gte)

  - ### setLt

    public void setLt(Double lt)

  - ### setLte

    public void setLte(Double lte)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`